From 7c3036609494296f7c29413bf3acba829c81f62c Mon Sep 17 00:00:00 2001
From: Romain Naour <romain.naour@openwide.fr>
Date: Sat, 8 Aug 2015 22:58:57 +0200
Subject: [PATCH 1/2] define __THROW to avoid build issue with musl

Fixes:
http://autobuild.buildroot.net/results/d27/d2781e70b04a207e2e9397d888032294c7285034/build-end.log

Signed-off-by: Romain Naour <romain.naour@openwide.fr>
---
 genisoimage/sha256.h | 4 ++++
 genisoimage/sha512.h | 4 ++++
 2 files changed, 8 insertions(+)

diff --git a/genisoimage/sha256.h b/genisoimage/sha256.h
index e7f4cb9..bcae7ef 100644
--- a/genisoimage/sha256.h
+++ b/genisoimage/sha256.h
@@ -29,6 +29,10 @@
 #include <stdint.h>
 #include <stdio.h>
 
+/* define __THROW to avoid build issue when it's not available from the libc */
+#ifndef __THROW
+# define __THROW
+#endif
 
 /* Structure to save state of computation between the single steps.  */
 struct sha256_ctx
diff --git a/genisoimage/sha512.h b/genisoimage/sha512.h
index 7298355..8cee8b0 100644
--- a/genisoimage/sha512.h
+++ b/genisoimage/sha512.h
@@ -29,6 +29,10 @@
 #include <stdint.h>
 #include <stdio.h>
 
+/* define __THROW to avoid build issue when it's not available from the libc */
+#ifndef __THROW
+# define __THROW
+#endif
 
 /* Structure to save state of computation between the single steps.  */
 struct sha512_ctx
-- 
2.14.1

